%set_verify_elf_method unresolved=relaxed
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libSDL-devel unzip
# END SourceDeps(oneline)
Name:           urg
Version:        0.8.11
Release:        alt1_6
Summary:        Library to access Hokuyo URG laser range finders

Group:          System/Libraries
License:        LGPLv3
URL:            http://www.hokuyo-aut.jp/cgi-bin/urg_programs_en/
Source0:        http://www.hokuyo-aut.jp/02sensor/07scanner/download/urg_programs_en/urg-0.8.11.zip
Patch0:         urg-0.8.7-noforwdecl.patch
Patch1:         urg-0.8.11-gcc46.patch
Patch2:         urg-0.8.11-gcc47.patch
Patch33:	urg-0.8.11-alt-underlinkage.patch

BuildRequires:  autoconf automake libtool
BuildRequires:  libSDL_net-devel
BuildRequires:  boost-devel boost-filesystem-devel boost-wave-devel boost-graph-parallel-devel boost-math-devel boost-mpi-devel boost-program_options-devel boost-signals-devel boost-intrusive-devel boost-asio-devel >= 1.33.1
Source44: import.info

%description
This library uses the SCIP2.0 protocol to provide access to devices of
Hokuyo URG laser range finder series.


%package        devel
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description    devel
The %%{name}-devel package contains libraries and header files for
developing applications that use %%{name}.


%prep
%setup -q
%patch0 -p1 -b .noforwdecl
%patch1 -p1 -b .gcc46
%patch2 -p1 -b .gcc47
%patch33 -p1

%build
libtoolize --copy
aclocal -I m4
autoconf
automake
# Required due to Boost 1.33.1 patch
autoreconf --install --force
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%files
%doc ChangeLog AUTHORS COPYING README
%{_libdir}/*.so.*

%files devel
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Thu Dec 27 2012 Igor Vlasenko <viy@altlinux.ru> 0.8.11-alt1_6
- initial fc import

